Package org.eclipse.mat.report

## Class TestSuite

- java.lang.Object
- - org.eclipse.mat.report.TestSuite

    public class TestSuite
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `TestSuite.Builder`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addResult​(java.io.File result)`
`ITestResult.Status` `execute​(IProgressListener listener)`
`java.io.File` `getOutput()`
`IQueryContext` `getQueryContext()`
`java.util.List<java.io.File>` `getResults()`
`Spec` `spec()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### execute

    public ITestResult.Status execute​(IProgressListener listener)
                               throws java.io.IOException,
                                      SnapshotException

Throws:
  `java.io.IOException`
  `SnapshotException`

#### spec

    public Spec spec()

#### getQueryContext

    public IQueryContext getQueryContext()

#### getOutput

    public java.io.File getOutput()

#### getResults

    public java.util.List<java.io.File> getResults()

#### addResult

    public void addResult​(java.io.File result)